Recent activity feed
GET /dashboard/activity
Operation ID: getDashboardActivity
Response (200)
Array of ActivityItem.
| Field | Type | Required |
|---|---|---|
id |
string |
yes |
kind |
"run_completed" |
yes |
"run_started" |
||
title |
string |
yes |
subtitle |
string |
null · nullable |
targetUrl |
string |
null · nullable |
targetType |
string |
null · nullable |
targetId |
string |
null · nullable |
timestamp |
string (ISO 8601) |
yes |
Example:
[
{
"id": "string",
"kind": "run_completed",
"title": "string",
"subtitle": "string",
"targetUrl": "string",
"targetType": "string",
"targetId": "string",
"timestamp": "2026-04-18T12:34:56Z"
}
]
Example request
curl https://api.qacrow.com/api/dashboard/activity \
-H "Authorization: Bearer qac_live_..."